Skip to main content
GET
/
api
/
v3
/
send
Retrieve All Sends
curl --request GET \
  --url https://app.staging.sendo.so/api/v3/send \
  --header 'Authorization: Bearer <token>'
{
  "current_page": 1,
  "per_page": 10,
  "total_count": 892,
  "sends": [
    {
      "id": 1,
      "send_gid": "Z2lkOi8vc2VuZG9zby9TZW5kLzQ0",
      "type": "eGifts USA",
      "subtype": "eGift Cards USA",
      "currency": "USD",
      "current_total_cost": "2.0",
      "status": "Expired",
      "created_at": "2022-09-12T12:08:27-07:00",
      "touch": {
        "id": 12,
        "name": "eGift Cards USA"
      },
      "recipient": {
        "name": "John Doe",
        "email": "johndoe@acme.com",
        "company_name": "Acme"
      },
      "sender": {
        "id": 123,
        "name": "Marc Fernandez",
        "email": "marc.fernandez@sendoso.com",
        "team_id": 123,
        "team_name": "Marketing Ops"
      },
      "sent_via": "Sendoso.com",
      "status_updates": [
        {
          "status": "Sent",
          "occurred_at": "2022-09-12T12:08:27-07:00"
        },
        {
          "status": "Opened",
          "occurred_at": "2022-09-12T12:08:58-07:00"
        },
        {
          "status": "Clicked",
          "occurred_at": "2022-09-12T12:08:58-07:00"
        },
        {
          "status": "Expired",
          "occurred_at": "2022-12-11T00:00:02-08:00"
        }
      ]
    },
    {
      "id": 2,
      "send_gid": "Z2lkOi8vc2VuZG9zby9TZW5kLzE",
      "type": "Inventoried Sends",
      "subtype": "Custom",
      "currency": "USD",
      "current_total_cost": "5.0",
      "status": "Address Confirmation - Cancelled",
      "created_at": "2022-12-21T23:37:22-08:00",
      "touch": {
        "id": 25,
        "name": "Triggered inventory"
      },
      "recipient": {
        "name": "Marc Fernandez Girones",
        "email": "marc.fernandez@sendoso.com",
        "company_name": "Sendoso"
      },
      "sender": {
        "id": 123,
        "name": "Marc Fernandez",
        "email": "marc.fernandez@sendoso.com",
        "team_id": 123,
        "team_name": "Marketing Ops"
      },
      "sent_via": "Salesforce Trigger",
      "status_updates": [
        {
          "status": "Confirming Address",
          "occurred_at": "2022-12-22T05:42:27-08:00"
        },
        {
          "status": "Address Confirmation - Cancelled",
          "occurred_at": "2022-12-27T09:00:05-08:00"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.sendoso.com/llms.txt

Use this file to discover all available pages before exploring further.

Parameters

page
integer
The page number of the results you want to retrieve (the first page is 1). See Pagination for more information.
per_page
integer
The number of sends to be returned per page (max is 100). See Pagination for more information.

Response

current_page
integer
required
The current page being returned (used for pagination purposes).
per_page
integer
required
The number of results being returned per page (used for pagination purposes).
total_count
integer
required
The total number of sends (used for pagination purposes).
sends
array
required
List of sends
{
  "current_page": 1,
  "per_page": 10,
  "total_count": 892,
  "sends": [
    {
      "id": 1,
      "send_gid": "Z2lkOi8vc2VuZG9zby9TZW5kLzQ0",
      "type": "eGifts USA",
      "subtype": "eGift Cards USA",
      "currency": "USD",
      "current_total_cost": "2.0",
      "status": "Expired",
      "created_at": "2022-09-12T12:08:27-07:00",
      "touch": {
        "id": 12,
        "name": "eGift Cards USA"
      },
      "recipient": {
        "name": "John Doe",
        "email": "johndoe@acme.com",
        "company_name": "Acme"
      },
      "sender": {
        "id": 123,
        "name": "Marc Fernandez",
        "email": "marc.fernandez@sendoso.com",
        "team_id": 123,
        "team_name": "Marketing Ops"
      },
      "sent_via": "Sendoso.com",
      "status_updates": [
        {
          "status": "Sent",
          "occurred_at": "2022-09-12T12:08:27-07:00"
        },
        {
          "status": "Opened",
          "occurred_at": "2022-09-12T12:08:58-07:00"
        },
        {
          "status": "Clicked",
          "occurred_at": "2022-09-12T12:08:58-07:00"
        },
        {
          "status": "Expired",
          "occurred_at": "2022-12-11T00:00:02-08:00"
        }
      ]
    },
    {
      "id": 2,
      "send_gid": "Z2lkOi8vc2VuZG9zby9TZW5kLzE",
      "type": "Inventoried Sends",
      "subtype": "Custom",
      "currency": "USD",
      "current_total_cost": "5.0",
      "status": "Address Confirmation - Cancelled",
      "created_at": "2022-12-21T23:37:22-08:00",
      "touch": {
        "id": 25,
        "name": "Triggered inventory"
      },
      "recipient": {
        "name": "Marc Fernandez Girones",
        "email": "marc.fernandez@sendoso.com",
        "company_name": "Sendoso"
      },
      "sender": {
        "id": 123,
        "name": "Marc Fernandez",
        "email": "marc.fernandez@sendoso.com",
        "team_id": 123,
        "team_name": "Marketing Ops"
      },
      "sent_via": "Salesforce Trigger",
      "status_updates": [
        {
          "status": "Confirming Address",
          "occurred_at": "2022-12-22T05:42:27-08:00"
        },
        {
          "status": "Address Confirmation - Cancelled",
          "occurred_at": "2022-12-27T09:00:05-08:00"
        }
      ]
    }
  ]
}